"use strict";

const {
  spawnSync
} = require('child_process');

/**
 * @function getRootDirectory - returns the root directory of the project
 * @returns {string} - indicating the root diretory of the project
 */
function getRootDirectory() {
  let rootDir = spawnSync('git', ["rev-parse", "--show-toplevel"], {
    shell: true,
    encoding: 'utf-8'
  });
  if (!(rootDir.status == 0)) {
    return process.cwd();
  }
  return rootDir.stdout.toString().trim();
}
module.exports = {
  getRootDirectory
};