"use strict";

const path = require('path');
const {
  getNodeModulesPath
} = require('./getNodeModulesPath');

/**
 * @function getLibraryInstalledLocation - fetches the absolute path where library is installed
 * @returns {string} - path where library is installed
 */
function getLibraryInstalledLocation() {
  const libraryInstalledLocation = path.join(getNodeModulesPath(), 'node_modules', '@zohodesk', 'codestandard-hooks');
  return libraryInstalledLocation;
}
module.exports = {
  getLibraryInstalledLocation
};